get
https://auth.api.sandbox.cleeng.com/v1/codes/check
Use this endpoint for Device Flow Login (PIN Pair) functionality to check if the generated code has been authorized.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Response Description
| Response | Type | Description |
|---|---|---|
tokenType | string | Type of the token, e.g. JWT. |
accessToken | string | Token used for authorization. It is required for endpoints related to customers. JWT is valid for 15 minutes. It includes customerId, broadcasterId, and expiration date (to decode, use package like jwt-decode). |
refreshToken | string | A token to generate a new JWT. |
expiresIn | integer | Expiration time of the token in milliseconds. |
customerId | string | Customer identifier. |
additionalPayload | string | Additional payload passed by the verifying device. Example: { "phoneModel": "samsung" } |
Errors
| Error Reason | Status code | Error code | Message |
|---|---|---|---|
| Failed to parse the query params | 400 | REQ0002 | Invalid query parameters |
| Code not authorized yet | 401 | PINP0301 | PIN-Pair Authentication Code not authorized yet |
| Code not found or invalid | 404 | PINP0201 | PIN-Pair Authentication Code not found or invalid |
| Code has expired | 410 | PINP0203 | PIN-Pair Authentication Code has expired |
| Internal reason | 500 | SXXXX (X - number) | Internal Server Error |

